import type { Client, Schemas } from "./api";
import type * as Types from "./types";
export declare class GitHub {
    private readonly client;
    private readonly owner;
    private readonly repo;
    constructor(client: Client<Types.RequestOption>, owner: string, repo: string);
    /**
     * * `headBranchName`に対してコミットする
     * * もし、`headBranchName`が存在しない場合は、`baseBranchName`からチェックアウトしたブランチに対してコミットする
     * * `baseBranchName`が指定されていない場合はリポジトリの`defaultBranch`からチェックアウトしたブランチに対してコミットする
     */
    createGitCommit: ({ baseBranchName, headBranchName, commitMessage, files, }: Types.CreateGitCommitArgs) => Promise<Schemas.git$commit>;
    private createBranch;
    /**
     * 親のコミットを取得する
     * ref(ブランチ)が存在しない場合はでデフォルトブランチから作成して返す
     */
    private getParentCommit;
}
